Index: issm/branches/trunk-jpl-damage/externalpackages/aspell/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/aspell/install.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/aspell/install.sh	(revision 12878)
@@ -0,0 +1,61 @@
+#!/bin/bash
+
+#0: cleanup
+#1:  install aspell
+#2:  install en dictionary
+step=2
+
+
+#Some cleanup
+if  [[ $step  == "0" ]]; then
+	rm -rf src install dicts
+	rm -rf aspell-0.50.5
+	rm -rf aspell5-en-6.0.0
+fi
+
+#install aspell
+if  [[ $step  == "1" ]]; then
+
+	mkdir src install dicts
+
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/aspell-0.50.5.tar.gz' 'aspell-0.50.5.tar.gz'
+
+	#Untar 
+	tar -zxvf  aspell-0.50.5.tar.gz
+
+	#Move aspell into src directory
+	mv aspell-0.50.5/* src
+	rm -rf aspell-0.50.5
+
+	#Configure aspell
+	cd src
+	./configure \
+		--prefix="$ISSM_DIR/externalpackages/aspell/install" \
+
+	#Compile and install aspell
+	if [ -z $1 ]; then
+		make
+	else
+		make -j $1
+	fi
+	make install
+fi
+
+#languages
+if  [[ $step  == "2" ]]; then
+
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/aspell5-en-6.0.0.tar.gz' 'aspell5-en-6.0.0.tar.gz'
+
+	#Untar 
+	tar -zxvf  aspell5-en-6.0.0.tar.gz
+
+	#Move aspell into src directory
+	mv aspell5-en-6.0.0 dicts
+
+	#install
+	cd dicts/aspell5-en-6.0.0
+	./configure
+	make install
+fi
Index: issm/branches/trunk-jpl-damage/externalpackages/dakota/install-discover.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/dakota/install-discover.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/dakota/install-discover.sh	(revision 12878)
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+#Get number of cpus
+NUMCPUS=$1;
+
+#Some cleanup
+rm -rf Dakota
+rm -rf src
+rm -rf install
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/Dakota_4_3.src.tar.gz' 'Dakota_4_3.src.tar.gz'
+
+#Untar 
+tar -zxvf  Dakota_4_3.src.tar.gz
+
+#Move Dakota to src directory
+mv Dakota/* src
+rm -rf Dakota
+
+#Apply patches
+patch src/src/ParallelLibrary.C ./ParallelLibrary.C.patch
+patch src/src/ParallelLibrary.H ./ParallelLibrary.H.patch
+patch src/src/NIDRProblemDescDB.C ./NIDRProblemDescDB.C.patch
+patch src/src/NonDSampling.C ./NonDSampling.C.patch
+patch src/src/NonDLocalReliability.C ./NonDLocalReliability.C.patch
+patch src/src/NonDUnilevelRBDO.C ./NonDUnilevelRBDO.C.patch    #  source not even used?
+#patch -R src/packages/Pecos/src/LHSDriver.cpp ./LHSDriver.cpp.patch
+
+#Configure dakota
+cd src
+./configure \
+--prefix="$ISSM_DIR/externalpackages/dakota/install/" \
+--without-graphics  \
+--with-pic \
+--disable-mpi \
+--with-blas="-L/usr/local/intel/mkl/10.1.2.024/lib/64 -lmkl_lapack -lmkl -lguide -lpthread" \
+--with-lapack="-L/usr/local/intel/mkl/10.1.2.024/lib/64 -lmkl_lapack -lmkl -lguide -lpthread"
+cd ..
+
+#Before compiling, if running on 64 bits, we need to active fPIC compilation. Some packages 
+#do not register -fPIC in Dakota, which is a problem. Edit the faulty Makefiles and add the -fPIC 
+#flag to the compilation.
+cat ./src/methods/NCSUOpt/Makefile | sed 's/FFLAGS = -g -O2/FFLAGS = -g -O2 -fPIC/g' >  temp
+mv temp ./src/methods/NCSUOpt/Makefile
+
+cat ./src/methods/acro/packages/pebbl/src/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CXXFLAGS = -O2 -fpermissive -fPIC/g' > temp
+mv temp ./src/methods/acro/packages/pebbl/src/Makefile
+
+cat ./src/methods/hopspack/src-nappspack/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2  -fPIC/g' > temp
+mv temp ./src/methods/hopspack/src-nappspack/Makefile
+
+cat ./src/methods/hopspack/src-cddlib/Makefile | sed 's/CFLAGS = -g -O2/CFLAGS = -g -O2 -fPIC/g' > temp
+mv temp  ./src/methods/hopspack/src-cddlib/Makefile
+
+cat ./src/methods/hopspack/src-shared/Makefile | sed 's/CFLAGS = -g -O2/CFLAGS = -g -O2 -fPIC/g' > temp
+mv temp  ./src/methods/hopspack/src-shared/Makefile
+
+cat ./src/methods/hopspack/src-shared/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2  -fPIC/g' > temp
+mv temp  ./src/methods/hopspack/src-shared/Makefile
+
+cat ./src/methods/hopspack/src-conveyor/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2 -fPIC/g' > temp
+mv temp  ./src/methods/hopspack/src-conveyor/Makefile
+
+cat ./src/methods/hopspack/src-appspack/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2  -fPIC/g' > temp
+mv temp ./src/methods/hopspack/src-appspack/Makefile
+
+cat ./src/methods/acro/packages/colin/src/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CXXFLAGS = -O2 -fpermissive -fPIC/g' > temp
+mv temp ./src/methods/acro/packages/colin/src/Makefile
+
+cat ./src/methods/acro/packages/coliny/src/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CXXFLAGS = -O2 -fpermissive -fPIC/g' > temp
+mv temp ./src/methods/acro/packages/coliny/src/Makefile
+
+cat ./src/methods/acro/packages/tpl/3po/Makefile | sed 's/CFLAGS = -O2/CFLAGS = -O2 -fPIC/g' > temp
+mv temp  ./src/methods/acro/packages/tpl/3po/Makefile
+
+cat ./src/methods/acro/packages/tpl/3po/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CFLAGS = -O2 -fpermissive -fPIC/g' > temp
+mv temp  ./src/methods/acro/packages/tpl/3po/Makefile
+
+cat ./src/packages/ampl/Makefile | sed 's/CFLAGS = -g -O2/CFLAGS = -g -O2 -fPIC/g' > temp
+mv temp  ./src/packages/ampl/Makefile
+
+#Compile and install dakota
+cd src
+if [ -z $NUMCPUS ];
+then
+	make
+	make install
+else
+	make -j $NUMCPUS
+	make -j $NUMCPUS install
+fi
+cd ..
+
+#Weird behaviour of Dakota: libamplsolver.a and amplsolver.a are not the same thing!
+cd install/lib
+mv libamplsolver.a libamplsolver.a.bak
+ln -s ../../src/packages/ampl/amplsolver.a ./libamplsolver.a
Index: issm/branches/trunk-jpl-damage/externalpackages/esmf/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/esmf/install.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/esmf/install.sh	(revision 12878)
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+#0: cleanup
+#1: install
+#2: test
+
+install=2
+
+export ESMF_DIR=$ISSM_DIR/externalpackages/esmf/esmf
+export ESMF_COMPILER=gfortran
+export ESMF_COMM=mpich2
+
+if [[ $install == "0" ]]; then
+	#Some cleanup
+	rm -rf esmf_5_2_0rp2
+	rm -rf esmf
+fi
+
+if [[ $install == "1" ]]; then
+
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/esmf_5_2_0rp2_src.tar.gz' 'esmf_5_2_0rp2_src.tar.gz'
+
+	#Untar 
+	tar -zxvf  esmf_5_2_0rp2_src.tar.gz
+
+
+	#Configure esmf
+	cd esmf
+
+
+
+	#Compile and install esmf
+	if [ -z $1 ]; then
+		make
+		make install
+	else
+		make -j $1
+		make -j $1 install
+	fi
+fi
+
+if [[ $install == "2" ]]; then
+	cd esmf
+	if [ -z $1 ]; then
+		make all_tests
+	else
+		make -j $1 all_tests
+	fi
+fi
Index: issm/branches/trunk-jpl-damage/externalpackages/export_fig/export_fig.m
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/export_fig/export_fig.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/export_fig/export_fig.m	(revision 12878)
@@ -16,4 +16,5 @@
 %   export_fig ... -<colorspace>
 %   export_fig ... -append
+%   export_fig ... -bookmark
 %   export_fig(..., handle)
 %
@@ -120,4 +121,6 @@
 %             exists, the figure is to be appended as a new page, instead
 %             of being overwritten (default).
+%   -bookmark - option to indicate that a bookmark with the name of the
+%               figure is to be created in the output file (pdf only).
 %   handle - The handle of the figure or axes (can be an array of handles
 %            of several axes, but these must be in the same figure) to be
@@ -159,4 +162,8 @@
 % 14/03/12: Fix bug in fixing the axes limits (thanks to Tobias Lamour for
 %           reporting it).
+% 02/05/12: Incorporate patch of Petr Nechaev (many thanks), enabling
+%           bookmarking of figures in pdf files.
+% 09/05/12: Incorporate patch of Arcelia Arrieta (many thanks), to keep
+%           tick marks fixed.
 
 function [im alpha] = export_fig(varargin)
@@ -194,11 +201,14 @@
 Hlims = findall(fig, 'Type', 'axes');
 if ~cls
-    % Record the old axes limit modes
+    % Record the old axes limit and tick modes
     Xlims = make_cell(get(Hlims, 'XLimMode'));
     Ylims = make_cell(get(Hlims, 'YLimMode'));
     Zlims = make_cell(get(Hlims, 'ZLimMode'));
-end
-% Set all axes limit modes to manual, so the limits can't change
-set(Hlims, 'XLimMode', 'manual', 'YLimMode', 'manual', 'ZLimMode', 'manual');
+    Xtick = make_cell(get(Hlims, 'XTickMode'));
+    Ytick = make_cell(get(Hlims, 'YTickMode'));
+    Ztick = make_cell(get(Hlims, 'ZTickMode'));
+end
+% Set all axes limit and tick modes to manual, so the limits and ticks can't change
+set(Hlims, 'XLimMode', 'manual', 'YLimMode', 'manual', 'ZLimMode', 'manual', 'XTickMode', 'manual', 'YTickMode', 'manual', 'ZTickMode', 'manual');
 % Set to print exactly what is there
 set(fig, 'InvertHardcopy', 'off');
@@ -403,4 +413,12 @@
             eps_remove_background(tmp_nam);
         end
+        % Add a bookmark to the PDF if desired
+        if options.bookmark
+            fig_nam = get(fig, 'Name');
+            if isempty(fig_nam)
+                warning('export_fig:EmptyBookmark', 'Bookmark requested for figure with no name. Bookmark will be empty.');
+            end
+            add_bookmark(tmp_nam, fig_nam);
+        end
         % Generate a pdf
         eps2pdf(tmp_nam, pdf_nam, 1, options.append, options.colourspace==2, options.quality);
@@ -435,7 +453,7 @@
     % Reset the hardcopy mode
     set(fig, 'InvertHardcopy', old_mode);
-    % Reset the axes limit modes
+    % Reset the axes limit and tick modes
     for a = 1:numel(Hlims)
-        set(Hlims(a), 'XLimMode', Xlims{a}, 'YLimMode', Ylims{a}, 'ZLimMode', Zlims{a});
+        set(Hlims(a), 'XLimMode', Xlims{a}, 'YLimMode', Ylims{a}, 'ZLimMode', Zlims{a}, 'XTickMode', Xtick{a}, 'YTickMode', Ytick{a}, 'ZTickMode', Ztick{a});
     end
 end
@@ -462,4 +480,5 @@
                  'aa_factor', 3, ...
                  'magnify', 1, ...
+                 'bookmark', false, ...
                  'quality', []);
 native = false; % Set resolution to native of an image
@@ -504,4 +523,6 @@
                 case 'append'
                     options.append = true;
+                case 'bookmark'
+                    options.bookmark = true;
                 case 'native'
                     native = true;
@@ -743,6 +764,40 @@
 % Helper function
 function A = make_cell(A)
- if ~iscell(A)
-     A = {A};
- end
- 
+if ~iscell(A)
+    A = {A};
+end
+return
+
+function add_bookmark(fname, bookmark_text)
+% Adds a bookmark to the temporary EPS file after %%EndPageSetup
+% Read in the file
+fh = fopen(fname, 'r');
+if fh == -1
+    error('File %s not found.', fname);
+end
+try
+    fstrm = fread(fh, '*char')';
+catch ex
+    fclose(fh);
+    rethrow(ex);
+end
+fclose(fh);
+
+% Include standard pdfmark prolog to maximize compatibility
+fstrm = strrep(fstrm, '%%BeginProlog', sprintf('%%%%BeginProlog\n/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse'));
+% Add page bookmark
+fstrm = strrep(fstrm, '%%EndPageSetup', sprintf('%%%%EndPageSetup\n[ /Title (%s) /OUT pdfmark',bookmark_text));
+
+% Write out the updated file
+fh = fopen(fname, 'w');
+if fh == -1
+    error('Unable to open %s for writing.', fname);
+end
+try
+    fwrite(fh, fstrm, 'char*1');
+catch ex
+    fclose(fh);
+    rethrow(ex);
+end
+fclose(fh);
+return
Index: issm/branches/trunk-jpl-damage/externalpackages/export_fig/print2array.m
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/export_fig/print2array.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/export_fig/print2array.m	(revision 12878)
@@ -41,4 +41,7 @@
 % 27/1/2012 Bug fix affecting painters rendering tall figures. Thanks to
 % Ken Campbell for reporting it.
+
+% 3/4/2012 Bug fix to median input. Thanks to Andy Matthews for reporting
+% it.
 
 function [A bcol] = print2array(fig, res, renderer)
@@ -119,5 +122,5 @@
             end
         end
-        bcol = median([reshape(A(:,[l r],:), [], size(A, 3)); reshape(A([t b],:,:), [], size(A, 3))], 1);
+        bcol = uint8(median(single([reshape(A(:,[l r],:), [], size(A, 3)); reshape(A([t b],:,:), [], size(A, 3))]), 1));
         for c = 1:size(A, 3)
             A(:,[1:l-1, r+1:end],c) = bcol(c);
Index: issm/branches/trunk-jpl-damage/externalpackages/export_fig/print2eps.m
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/export_fig/print2eps.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/export_fig/print2eps.m	(revision 12878)
@@ -45,4 +45,6 @@
 % alias can lead to another font being swapped in.
 
+% 10/4/2012 Make the font swapping case insensitive.
+
 function print2eps(name, fig, varargin)
 options = {'-depsc2'};
@@ -57,33 +59,42 @@
 end
 % Find all the used fonts in the figure
-fonts = get(findall(fig, '-property', 'FontName'), 'FontName');
+font_handles = findall(fig, '-property', 'FontName');
+fonts = get(font_handles, 'FontName');
 if ~iscell(fonts)
     fonts = {fonts};
 end
-fonts = unique(fonts);
 % Map supported font aliases onto the correct name
+fontsl = lower(fonts);
 for a = 1:numel(fonts)
-    f = lower(fonts{a});
+    f = fontsl{a};
     f(f==' ') = [];
     switch f
         case {'times', 'timesnewroman', 'times-roman'}
-            fonts{a} = 'Times-Roman';
+            fontsl{a} = 'times-roman';
         case {'arial', 'helvetica'}
-            fonts{a} = 'Helvetica';
+            fontsl{a} = 'helvetica';
         case {'newcenturyschoolbook', 'newcenturyschlbk'}
-            fonts{a} = 'NewCenturySchlbk';
+            fontsl{a} = 'newcenturyschlbk';
         otherwise
     end
 end
+fontslu = unique(fontsl);
 % Determine the font swap table
 matlab_fonts = {'Helvetica', 'Times-Roman', 'Palatino', 'Bookman', 'Helvetica-Narrow', 'Symbol', ...
                 'AvantGarde', 'NewCenturySchlbk', 'Courier', 'ZapfChancery', 'ZapfDingbats'};
-require_swap = find(~ismember(fonts, matlab_fonts));
-unused_fonts = find(~ismember(matlab_fonts, fonts));
-font_swap = min(numel(require_swap), numel(unused_fonts));
-font_swap = [reshape(matlab_fonts(unused_fonts(1:font_swap)), 1, font_swap); reshape(fonts(require_swap(1:font_swap)), 1, font_swap)];
+matlab_fontsl = lower(matlab_fonts);
+require_swap = find(~ismember(fontslu, matlab_fontsl));
+unused_fonts = find(~ismember(matlab_fontsl, fontslu));
+font_swap = cell(3, 0);
+for a = 1:min(numel(require_swap), numel(unused_fonts))
+    ind = find(strcmp(fontslu{require_swap(a)}, fontsl));
+    n = numel(ind);
+    font_swap(1,end+1:end+n) = reshape(mat2cell(font_handles(ind), ones(n, 1)), 1, []);
+    font_swap(2,end-n+1:end) = matlab_fonts(unused_fonts(a));
+    font_swap(3,end-n+1:end) = reshape(fonts(ind), 1, []);
+end
 % Swap the fonts
 for a = 1:size(font_swap, 2)
-    set(findall(fig, 'FontName', font_swap{2,a}), 'FontName', font_swap{1,a});
+    set(font_swap{1,a}, 'FontName', font_swap{2,a});
 end
 % Set paper size
@@ -114,7 +125,8 @@
     % Reset the font names in the figure
     for a = 1:size(font_swap, 2)
-        set(findall(fig, 'FontName', font_swap{1,a}), 'FontName', font_swap{2,a});
+        set(font_swap{1,a}, 'FontName', font_swap{3,a});
     end
     % Replace the font names in the eps file
+    font_swap = font_swap(2:3,:);
     try
         swap_fonts(name, font_swap{:});
Index: issm/branches/trunk-jpl-damage/externalpackages/gdal/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/gdal/install.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/gdal/install.sh	(revision 12878)
@@ -22,4 +22,5 @@
 	--prefix="$ISSM_DIR/externalpackages/gdal/install" \
 	--without-python \
+	--without-png \
 	--with-netcdf=no \
 	--with-jasper=no \
Index: issm/branches/trunk-jpl-damage/externalpackages/gsl/install-android.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/gsl/install-android.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/gsl/install-android.sh	(revision 12878)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+source $ANDROID_DIR/android_aux.sh
+
+if [[ $step == "1" || $step == "0" ]]; then
+
+    #Some cleanup
+    rm -rf src install gsl-1.15
+    mkdir src install
+
+    #Download from ISSM server
+    $ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gsl-1.15.tar.gz' 'gsl-1.15.tar.gz'
+
+    #Untar 
+    tar -zxvf  gsl-1.15.tar.gz
+
+    #Move gsl into src directory
+    mv gsl-1.15/* src
+    rm -rf gsl-1.15
+fi
+
+#Configure gsl
+if [[ $step == "2" || $step == "0" ]]; then
+    cd src
+    
+    autoreconf -iv --force -I $LIBTOOL_DIR/share/aclocal/ 
+
+    ./configure \
+        --build="i386-apple-darwin10.8.0" \
+        --host=$host_triplet\
+	    --prefix="$ISSM_DIR/externalpackages/gsl/install/" 
+fi
+
+#Compile gsl
+if [[ $step == "3" || $step == "0" ]]; then
+    if [ -z $1 ]; then
+	    make $j 
+    else
+	    make -j $j 
+    fi
+
+    make install
+fi
Index: issm/branches/trunk-jpl-damage/externalpackages/gslib/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/gslib/install.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/gslib/install.sh	(revision 12878)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gslib90_ls.tar.gz' 'gslib90_ls.tar.gz'
+
+#Untar 
+tar -zxvf  gslib90_ls.tar.gz
+
+#Move gslib into install directory
+mv gslib90/* install
+rm -rf gslib90
+
+#Change compiler to gfortran
+cd install
+cat Makefile | sed -e "s/FC=g95/FC=gfortran/g" > Makefile.bak
+mv Makefile.bak Makefile
+cat gslib/Makefile | sed -e "s/FC=g95/FC=gfortran/g" > Makefile.bak
+mv Makefile.bak gslib/Makefile
+make 
Index: issm/branches/trunk-jpl-damage/externalpackages/h5py/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/h5py/install.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/h5py/install.sh	(revision 12878)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+#needed further along
+export HDF5_DIR=$ISSM_DIR/externalpackages/hdf5/install
+
+#Some cleanup
+rm -rf install h5py-2.0.1
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/h5py-2.0.1.tar.gz' 'h5py-2.0.1.tar.gz'
+
+#Untar 
+tar -zxvf  h5py-2.0.1.tar.gz
+
+#Move h5py to install directory
+rm -rf install/*
+mv h5py-2.0.1/* install/
+rm -rf h5py-2.0.1
+
+#Configure and compile
+cd install
+python setup.py build –hdf5=$ISSM_DIR/externalpackages/hdf5/install
+python setup.py install
Index: issm/branches/trunk-jpl-damage/externalpackages/hdf5/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/hdf5/install.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/hdf5/install.sh	(revision 12878)
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src install hdf5-1.8.9
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/hdf5-1.8.9.tar.gz' 'hdf5-1.8.9.tar.gz'
+
+#Untar 
+tar -zxvf  hdf5-1.8.9.tar.gz
+
+#Move hdf5 to src directory
+rm -rf src/*
+mv hdf5-1.8.9/* src/
+rm -rf hdf5-1.8.9
+
+#Configure and compile
+cd src
+./configure  --prefix="$ISSM_DIR/externalpackages/hdf5/install" 
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/branches/trunk-jpl-damage/externalpackages/ipython/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/ipython/install.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/ipython/install.sh	(revision 12878)
@@ -3,7 +3,6 @@
 #Some cleanup
 rm -rf src
-rm -rf install
 rm -rf ipython-0.12
-mkdir src install
+mkdir src 
 
 #Download from ISSM server
Index: issm/branches/trunk-jpl-damage/externalpackages/lapack/configs/linux64/make.inc
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/lapack/configs/linux64/make.inc	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/lapack/configs/linux64/make.inc	(revision 12878)
@@ -16,5 +16,5 @@
 OPTS     = -fPIC -O2
 DRVOPTS  = $(OPTS)
-NOOPT    = -O0
+NOOPT    = -fPIC -O0
 LOADER   = gfortran
 LOADOPTS =
Index: issm/branches/trunk-jpl-damage/externalpackages/libtool/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/libtool/install.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/libtool/install.sh	(revision 12878)
@@ -2,15 +2,17 @@
 
 #Some cleanup
-rm -rf install libtool-2.2.6b src
+rm -rf install libtool[\w.- ]* src
 mkdir install
 
 #Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/libtool-2.2.6b.tar.gz' 'libtool-2.2.6b.tar.gz'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/libtool' 'libtool'
 
 #Untar 
-tar -zxvf  libtool-2.2.6b.tar.gz
+tar -zxvf  libtool[\w.-]*.tar.gz
+rm libtool[\w.-]*.tar.gz
+
 
 #Move libtool into src directory
-mv libtool-2.2.6b src
+mv libtool[\w.-]* src
 
 #Compile libtool
Index: issm/branches/trunk-jpl-damage/externalpackages/matlab/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/matlab/install.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/matlab/install.sh	(revision 12878)
@@ -6,4 +6,5 @@
 #Select or create a new simlink
 ln -s /usr/local/pkgs/matlab-7.6/ install
+#ln -s /discover/vis/mathworks/matlab_r2011b/ install
 #ln -s /usr/local/matlab704/ install
 #ln -s /usr/local/matlab711/ install
@@ -15,3 +16,4 @@
 #ln -s /Applications/MATLAB_R2010a.app/ install
 #ln -s /Applications/MATLAB_R2012a.app/ install
+#ln -s /Applications/MATLAB_R2011a.app/ install
 #ln -s /Applications/MATLAB*.app/ install
Index: issm/branches/trunk-jpl-damage/externalpackages/metis/install-4.0-discover.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/metis/install-4.0-discover.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/metis/install-4.0-discover.sh	(revision 12878)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install metis-4.0
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/metis-4.0.tar.gz' 'metis-4.0.tar.gz'
+
+#Untar 
+tar -zxvf  metis-4.0.tar.gz
+
+#Move metis into install directory
+mv metis-4.0/* install
+rm -rf metis-4.0
+
+#Apply patches
+cd install 
+patch -p1 < ../metis-4.0.patch
+patch Makefile.in ../configs/4.0/discover/Makefile.in.patch
+
+#Compile
+make
Index: issm/branches/trunk-jpl-damage/externalpackages/modules/install-macosx64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/modules/install-macosx64.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/modules/install-macosx64.sh	(revision 12878)
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install
+rm -rf modules-3.2.9
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/modules-3.2.9.tar.gz' 'modules-3.2.9.tar.gz'
+
+#Untar 
+tar -zxvf  modules-3.2.9.tar.gz
+
+#Move modules into src directory
+
+#Configure modules
+cd modules-3.2.9
+./configure \
+	--prefix=$ISSM_DIR/externalpackages/modules/install\
+	--with-module-path=$ISSM_DIR/externalpackages/modules/install/modules/files\
+	--with-version-path=$ISSM_DIR/externalpackages/modules/install/modules/versions\
+	--with-tcl-lib=$ISSM_DIR/externalpackages/tcl/install/Library/Frameworks/Tcl.framework/Versions/8.5\
+	--with-tcl-inc=$ISSM_DIR/externalpackages/tcl/install/Library/Frameworks/Tcl.framework/Versions/8.5/Headers\
+	--with-tcl-ver=8.5\
+	--with-tclx-lib=$ISSM_DIR/externalpackages/tclx/install/lib/tclx8.4\
+    --with-tclx-inc=$ISSM_DIR/externalpackages/tclx/install/include\
+	--with-tclx-ver=8.4\
+	--with-etc-path=$ISSM_DIR/externalpackages/modules/install/modules/etc\
+	--with-skel-path=$ISSM_DIR/externalpackages/modules/install/modules/etc/skel\
+	--disable-dependency-tracking
+
+#Compile and install modules
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/branches/trunk-jpl-damage/externalpackages/modules/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/modules/install.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/modules/install.sh	(revision 12878)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/modules-3.2.9c.tar.gz modules-3.2.9c.tar.gz
+
+#Untar and move python into install directory
+tar -zxvf  modules-3.2.9c.tar.gz
+mv modules-3.2.9 install
+
+#Configure doxygen
+cd install
+./configure \
+  --prefix "$ISSM_DIR/externalpackages/modules/install" \
+  --without-x
+
+#compile and install
+make
+make install
Index: issm/branches/trunk-jpl-damage/externalpackages/ncview/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/ncview/install.sh	(revision 12877)
+++ issm/branches/trunk-jpl-damage/externalpackages/ncview/install.sh	(revision 12878)
@@ -18,5 +18,5 @@
 cd install
 ./configure \
-	--prefix "$ISSM_DIR/externalpackages/ncview/install" \
+	--prefix="$ISSM_DIR/externalpackages/ncview/install" \
 	--x-libraries=/usr/X11/lib/ \
 	--x-includes=/usr/X11/include/ \
Index: issm/branches/trunk-jpl-damage/externalpackages/netcdf-python/install.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/netcdf-python/install.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/netcdf-python/install.sh	(revision 12878)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install netCDF4-1.0
+mkdir install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/netCDF4-1.0.tar.gz" "netCDF4-1.0.tar.gz"
+
+#Untar 
+tar -zxvf  netCDF4-1.0.tar.gz
+
+#for later: 
+rm -rf ISSMDIR
+echo $ISSM_DIR | sed 's/\//\\\//g' > ISSMDIR
+ISSMDIR=`cat ISSMDIR` && rm -rf ISSMDIR
+
+#Move netCDF4 to install directory
+rm -rf install/*
+mv netCDF4-1.0/* install/
+rm -rf netCDF4-1.0
+
+#Configur and compile
+cd install
+#edit setup.cfg to point to hdf5 and netcdf
+cat setup.cfg.template  | sed "s/\#netCDF4_dir = \/usr\/local/netCDF4_dir = $ISSMDIR\/externalpackages\/netcdf\/install/g"  | sed "s/\#HDF5_dir = \/usr\/local/HDF5_DIR = $ISSMDIR\/externalpackages\/hdf5\/install/g" > setup.cfg
+
+python setup.py build 
+python setup.py install
Index: issm/branches/trunk-jpl-damage/externalpackages/netcdf/install-4.0.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/netcdf/install-4.0.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/netcdf/install-4.0.sh	(revision 12878)
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src install netcdf-4.0.1
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/netcdf-4.0.1.tar.gz" "netcdf-4.0.1.tar.gz"
+
+#Untar 
+tar -zxvf  netcdf-4.0.1.tar.gz
+
+#Move netcdf to install directory
+rm -rf src/*
+mv netcdf-4.0.1/* src/
+rm -rf netcdf-4.0.1
+
+#Configure and compile
+cd src
+./configure  --prefix="$ISSM_DIR/externalpackages/netcdf/install"  
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/branches/trunk-jpl-damage/externalpackages/netcdf/install-4.2.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/netcdf/install-4.2.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/netcdf/install-4.2.sh	(revision 12878)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+#you need hdf5 compiled, as well as doxygen for the documentation
+
+#Some cleanup
+rm -rf src install netcdf-4.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/netcdf-4.2.tar.gz" "netcdf-4.2.tar.gz"
+
+#Untar 
+tar -zxvf  netcdf-4.2.tar.gz
+
+#Move netcdf to install directory
+rm -rf src/*
+mv netcdf-4.2/* src/
+rm -rf netcdf-4.2
+
+#Configure and compile
+cd src
+./configure  --prefix="$ISSM_DIR/externalpackages/netcdf/install"  
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/branches/trunk-jpl-damage/externalpackages/nose/install-linux64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/externalpackages/nose/install-linux64.sh	(revision 12878)
+++ issm/branches/trunk-jpl-damage/externalpackages/nose/install-linux64.sh	(revision 12878)
@@ -0,0 +1,29 @@
+#!/bin/bash
+#Install Python nose module
+
+pythonversion=2
+	
+rm -rf src 
+
+if [[ $pythonversion == "3" ]];then
+
+	svn checkout http://python-nose.googlecode.com/svn/branches/py3k
+	mv py3k src
+
+	cd src
+	python ./setup.py build
+	python ./setup.py install
+fi
+
+if [[ $pythonversion == "2" ]];then
+
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/nose-1.1.2.tar.gz' 'nose-1.1.2.tar.gz'
+	tar -zxvf  nose-1.1.2.tar.gz
+	mv nose-1.1.2 src
+	rm -rf nose-1.1.2
+
+	cd src
+	python ./setup.py build
+	python ./setup.py install
+fi
